cURL
curl --request POST \
--url https://partner-api.getoliver.com/services/core/open_api/v1/open_times \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Client-Id: <x-client-id>' \
--data '
{
"search_from_date": "2025-01-01T07:00:00Z"
}
'import requests
url = "https://partner-api.getoliver.com/services/core/open_api/v1/open_times"
payload = { "search_from_date": "2025-01-01T07:00:00Z" }
headers = {
"X-Client-Id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Client-Id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({search_from_date: '2025-01-01T07:00:00Z'})
};
fetch('https://partner-api.getoliver.com/services/core/open_api/v1/open_times', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"date": "MM/DD/YYYY",
"available": true,
"times": [
{
"start": "<string>",
"end": "<string>",
"provider_id": "<string>",
"value": "<string>",
"label": "<string>",
"uuid": "<string>",
"room_id": "<string>",
"appointment_type_ids": [
"<string>"
]
}
]
}
],
"message": "<string>"
}{
"success": true,
"message": "<string>",
"data": {}
}{
"success": true,
"message": "<string>",
"data": {}
}{
"success": true,
"message": "<string>",
"data": {}
}Open Times Endpoints
Search Open Times
Search for open times for a given provider, appointment type, etc. Can be used to find open times in the future or past.
POST
/
services
/
core
/
open_api
/
v1
/
open_times
cURL
Search for open appointment times.
Request Body
- search_from_date (required): The start date/time of the search in ISO 8601 format. Can be a present or future timestamp.
- appointment_type (required): A string of the appointment type category. Available options:
wellness,sick,technician,recheck.
This endpoint is currently proposed and subject to change. Functionality, request/response structure, and availability may be modified or removed in future releases. Use with caution in production environments.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The location id of the practice
Body
application/json
Open times request
The start date/time of the search in ISO 8601 format. Can be a present or future timestamp.
Example:
"2025-01-01T07:00:00Z"
An string of the appointment type category. Available options: wellness, sick, technician, recheck.
Available options:
wellness, sick, technician, recheck ⌘I

